Embed Bold Reports® Report Server Designer

You can embed classic Report Designer with Report Server to create, edit, browse and publish reports using the Report Server built-in API service.

Follow this steps to integrate Report Server with Bold Reports® Designer version less than v5.2.xx

HTML file creation

Create a basic HTML file and place it in a separate folder. Add the following code example,

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Report Designer first HTML page</title>
    </head>
    <body>
    </body>
</html>

Refer Scripts and CSS

Directly refer the required scripts and style sheets that are mandatorily required to render the web Report Designer, from CDN links.

Refer to the Dependencies to learn more details about classic web Report Designer dependent scripts and style sheets links.

You can use the following code in the <head> tag of the HTML page as in the following order.

<link href="https://cdn.boldreports.com/14.1.12/content/material/bold.reports.all.min.css" rel="stylesheet" />
<link href="https://cdn.boldreports.com/14.1.12/content/material/bold.reportdesigner.min.css" rel="stylesheet" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/codemirror.min.css" rel="stylesheet" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/addon/hint/show-hint.min.css" rel="stylesheet" />
<script src="https://cdn.boldreports.com/external/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="https://cdn.boldreports.com/external/jsrender.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/codemirror.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/addon/hint/show-hint.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/addon/hint/sql-hint.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.37.0/mode/sql/sql.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.44.0/mode/vb/vb.min.js" type="text/javascript"></script>

<!--Used to render the gauge item. Add this script only if your report contains the gauge report item. -->
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-base.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-data.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-pdf-export.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-svg-base.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-lineargauge.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-circulargauge.min.js"></script>

<!--Render the map item. Add this script only if your report contains the map report item.-->
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-maps.min.js"></script>

<script src="https://cdn.boldreports.com/14.1.12/scripts/common/bold.reports.common.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/bold.reports.widgets.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/bold.report-designer-widgets.min.js"></script>

<!--Used to render the chart item. Add this script only if your report contains the chart report item.-->
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej.chart.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/bold.report-viewer.min.js" type="text/javascript"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/bold.report-designer.min.js" type="text/javascript"></script>

Whether you want to get the scripts and style sheets as local, then install the BoldReports.Javascript NuGet package in your application. To learn more about rendering a report with data visualization report items, refer to the how to render data visualization report items section.

Initialize Report Designer

Add the <div> element within the <body> section, which acts as a container for boldReportDesigner widget to render and then initialize the boldReportDesigner widget within the script section as shown below,

        <!-- Creating a div tag which will act as a container for boldReportDesigner widget.-->
        <div style="height: 600px; width: 950px; min-height: 400px;" id="designer"></div>
        <script type="text/javascript">
            $(function () {
                $("#designer").boldReportDesigner();
            });
        </script>

Report Server Configuration to design the report

  • The Report Designer requires the serviceAuthorizationToken, serviceUrl and reportServerUrl to perform the API actions with Bold Report Server. You can provide the information from report server as like explained below,

  • serviceUrl – Report Server Reporting Service information should be provided for this API.

  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.

  • reportServerUrl- Report Server Reporting Server information should be provided for this API.

You can follow one of the procedure from below based on your Report Server type,

Enterprise Reporting Server

  1. Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

        <script type="text/javascript">
            $(function () {
            $("#designer").boldReportDesigner(
                {
                    serviceAuthorizationToken: "bearer <server-token>"
                });
            });
        </script>

    You can refer to the documentation here on how to generate the token within an application.

  2. Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Designer.

        <script type="text/javascript">
                $(function () {
                    $("#designer").boldReportDesigner(
                                {
                                    serviceUrl: "https://<your-report-server-domain>/reporting/reportservice/api/Designer",
                                    serviceAuthorizationToken: "bearer <server-token>"
                                });
                });
        </script>
  3. Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>.

        <script type="text/javascript">
                $(function () {
                    $("#designer").boldReportDesigner(
                                {
                                    serviceUrl: "https://<your-report-server-domain>/reporting/reportservice/api/Designer",
                                    reportServerUrl:"https://<your-report-server-domain>/reporting/api/site/<site-name>",
                                    serviceAuthorizationToken: "bearer <server-token>"
                                });
                });
        </script>
  4. Build and run the application.

Cloud Reporting server

  1. Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

        <script type="text/javascript">
            $(function () {
                $("#designer").boldReportDesigner(
                    {
                        serviceAuthorizationToken: "bearer <server-token>",
                    });
            });
        </script>

    You can refer to the documentation here on how to generate the token within an application.

  2. Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value is a https://service.boldreports.com/api/Designer.

        <script type="text/javascript">
                $(function () {
                    $("#designer").boldReportDesigner(
                                {
                                    serviceUrl: "https://service.boldreports.com/api/Designer",
                                    serviceAuthorizationToken: "bearer <server-token>"
                                });
                });
        </script>
  3. Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/.

        <script type="text/javascript">
                $(function () {
                    $("#designer").boldReportDesigner(
                                {
                                    serviceUrl: "https://service.boldreports.com/api/Designer",
                                    reportServerUrl:"https://<your-report-server-domain>/reporting/api/"
                                    serviceAuthorizationToken: "bearer <server-token>"
                                });
                });
        </script>
  4. Build and run the application.

Load Bold Reports® Report Server reports

You can embed the classic Report Designer with Bold Reports® Report Server to create, edit, browse and publish reports using the Report Server built-in Web API service. You need a React application configured with Bold Reports® resources to do the following steps:

Prerequisites

Before getting started with the classic Bold Report Designer, make sure that your development environment includes the following commands:

  • Node JS (version 8.x or 10.x)
  • NPM (v3.x.x or higher)

Install the Create React App package

Create React App is a simple way to create single-page React application which provides a build setup with no configuration. To install the Create React App globally in your machine, run the following command in Command Prompt.

npm install create-react-app -g

To learn more about Create React App package refer here

Create a new React application

To create a new React application, run the following command in Command Prompt.

create-react-app reports

The create-react-app command adds the react, react-dom, react-scripts, and other dependencies required to your React application.

Install the Create React Class

To configure the classic Report Designer component, change the directory to your application’s root folder.

 cd reports

To install the type definitions for create-react-class, run the following command in Command Prompt.

npm install create-react-class --save

Install the Bold Reports® React package

To install the Bold Reports® React package, run the following command in Command Prompt.

npm install @boldreports/react-reporting-components --save

Adding scripts reference

Bold Reports® needs window.jQuery object to render the React components. Hence create a file named globals.js and import jQuery in globals.js file as like the below code snippet.

import jquery from 'jquery';
import React from 'react';
import createReactClass from 'create-react-class';
import ReactDOM from 'react-dom';

window.React = React;
window.createReactClass = createReactClass;
window.ReactDOM = ReactDOM;
window.$ = window.jQuery = jquery;

Refer the globals.js file in index.js file as like below code snippet.

import './globals'
import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
//serviceWorker will show warning "unused".
//import * as serviceWorker from './serviceWorker';

ReactDOM.render(<App />, document.getElementById('root'));

Open the public\index.html and refer the following scripts in <head> tag.

<!-- Data-Visualization -->
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-base.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-data.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-pdf-export.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-svg-base.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-lineargauge.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-circulargauge.min.js"></script>
<script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-maps.min.js"></script>

Adding Report Designer component

The classic Bold Report Designer script and style files need to be imported, in order to run the Bold web designer. Hence, import the following files in App.js file.

/* eslint-disable */
import React from 'react';
import './App.css';
//Report designer source
import '@boldreports/javascript-reporting-controls/Scripts/bold.report-designer.min';
import '@boldreports/javascript-reporting-controls/Scripts/bold.report-viewer.min';
import '@boldreports/javascript-reporting-controls/Content/material/bold.reports.all.min.css';
import '@boldreports/javascript-reporting-controls/Content/material/bold.reportdesigner.min.css';
//Data-Visualization
import '@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.bulletgraph.min';
import '@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.chart.min';
//Reports react base
import '@boldreports/react-reporting-components/Scripts/bold.reports.react.min';

var designerStyle = {
  'height': '700px',
  'width': '100%'
};

function App() {
  return (
    <div style={designerStyle}>
            <BoldReportDesignerComponent
            id="reportdesigner_container">
            </BoldReportDesignerComponent>
    </div>
  );
}

export default App;

Report Server Configuration to design the report

  • The Report Designer requires the serviceAuthorizationToken, serviceUrl and reportServerUrl to perform the API actions with Bold Report Server. You can provide the information from report server as like explained below,

  • serviceUrl – Report Server Reporting Service information should be provided for this API.

  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.

  • reportServerUrl- Report Server Reporting Server information should be provided for this API.

You can follow one of the procedure from below based on your Report Server type,

Enterprise Reporting Server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Designer.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceUrl = {'https://<your-report-server-domain>/reporting/reportservice/api/Designer'}
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>. You can use the following complete code in App.js file.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceUrl = {'https://<your-report-server-domain>/reporting/reportservice/api/Designer'}
          reportServerUrl = {'https://<your-report-server-domain>/reporting/api/site/<site-name>'}
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }

Cloud Reporting server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value is a https://service.boldreports.com/api/Designer.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceUrl = {'https://service.boldreports.com/api/Designer'}
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/.

        function App() {
          return (<div id="Designer" style={designerStyle}>
          <BoldReportDesignerComponent id="reportdesigner_container"
          serviceUrl = {'https://service.boldreports.com/api/Designer'}
          reportServerUrl = {'https://<your-report-server-domain>/reporting/api/'}
          serviceAuthorizationToken = {'bearer <server-token>'}>
          </BoldReportDesignerComponent>
          </div>);
        }
  • Navigate to the root of the application and run using the following command.

          npm run start

Embed Bold Reports® Report Server Report

You can embed classic Report Designer with Report Server to create, edit, browse and publish reports using the Report Server built-in API service.

Follow this steps to integrate Report Server with Bold Reports® Designer version less than v5.2.xx

Prerequisites

Before getting started with classic Bold Report Designer, ensure that development environment includes the following:

  • Node JS (version 8.x or 10.x)
  • NPM (v3.x.x or higher)

Install the Angular CLI

Angular provides the easiest way to set Angular CLI projects using the Angular CLI tool. To install the CLI application globally to your machine, run the following command in Command Prompt.

npm install -g @angular/cli@latest

To learn more about angular-cli commands, refer here

Create a new application

To create a new Angular application run the following command in Command Prompt.

ng new project-name

E.g : ng new reportdesignerapp

The ng new command prompts you for information about features to include in the initial app project. Add the Angular Routing to your angular application by entering y in the prompt window then press Enter key. Now, choose the CSS stylesheet format using the arrow keys and then press Enter key. The Angular CLI installs the required Angular npm packages and other dependencies.

Configure Bold Report Designer in Angular CLI

Bold Reporting packages are distributed in npm as @boldreports/angular-reporting-components.

  1. To configure the classic web Report Designer component, change the directory to your applications’ root folder.

    cd project-name
    
    E.g : cd reportdesignerapp
  2. Run the following commands to install the Bold Reports® Angular library.

    npm install @boldreports/angular-reporting-components --save-dev
  3. Also, Install Bold Reports® typings by executing the following command.

    npm install --save-dev @boldreports/types
  4. Register the @bold-reports/types under the typeRoots and add the typings jquery and reports.all to the tsconfig.app.json file.

    {
      ...
      ...
      "compilerOptions": {
        ...
        ...
        "typeRoots": [
          "node_modules/@types",
          "node_modules/@boldreports/types"
        ],
        "types": [
          "jquery",
          "reports.all"
        ]
      },
      ...
      ...
    }

    If you are using Angular CLI version 7.x.x, you will get an error like Cannot find type definition file for 'reports.all'. To resolve this error, you need to replace the node_modules/@boldreports/types line under typeRoots array in tsconfig.app.json with the following code

    "./../node_modules/@boldreports/types"
  5. Report Designer requires window.jQuery object to render the component. Import jQuery in src/polyfills.ts file, as shown in the following code sample.

    import * as jquery from 'jquery';
    let windowInstance = (window as { [key: string]: any });
    windowInstance['jQuery'] = jquery;
    windowInstance['$'] = jquery;

Adding CSS reference

  1. Open the angular.json file from your applications’ root directory.

  2. Refer to the classic web Report Designer component style scripts bold.reports.all.min.css and bold.reportdesigner.min.css under the styles node of projects section, as shown in the following code example.

    If you are using Angular 6 or lower version project, add the changes in angular-cli.json file.

    Css script reference

    {
      "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
      "version": 1,
      "newProjectRoot": "projects",
      "projects": {
        "reportdesignerapp": {
          "root": "",
          "sourceRoot": "src",
          "projectType": "application",
          "prefix": "app",
          "schematics": {},
          "architect": {
            "build": {
              "builder": "@angular-devkit/build-angular:browser",
              "options": {
                "outputPath": "dist/reportdesignerapp",
                "index": "src/index.html",
                "main": "src/main.ts",
                "polyfills": "src/polyfills.ts",
                "tsConfig": "src/tsconfig.app.json",
                "assets": [
                  "src/favicon.ico",
                  "src/assets"
                ],
                "styles": [
                  "src/styles.css",
                "./node_modules/@boldreports/javascript-reporting-controls/Content/material/bold.reports.all.min.css",
               "./node_modules/@boldreports/javascript-reporting-controls/Content/material/bold.reportdesigner.min.css"
                ],
                "scripts": [],
                "es5BrowserSupport": true
              },
          . . .
          . . .
          }

    In the above code snippet the material theme is used. You can modify the theme based on your application, refer the following syntax: ./node_modules/@boldreports/javascript-reporting-controls/Content/[theme-name]/bold.reports.all.min.css and ./node_modules/@boldreports/javascript-reporting-controls/Content/[theme-name]/bold.reportdesigner.min.css

If you are using Angular CLI version 10.x.x, you will get a warning like CommonJS or AMD dependencies can cause optimization bailouts. To resolve this warning, you need to register the Bold Report JavaScript files under allowedCommonJsDependencies array in angular.json file.

. . .
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "allowedCommonJsDependencies": [
              "@boldreports/javascript-reporting-controls/Scripts/bold.report-viewer.min",
              "@boldreports/javascript-reporting-controls/Scripts/bold.report-designer.min",
              "@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.bulletgraph.min",
              "@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.chart.min"
            ],
            . . .
            . . .

Adding code mirror reference

Report Designer requires the code mirror scripts and styles to edit the SQL queries and Visual Basic code functions with syntax highlighter.

  1. Run the following command, to install the code mirror dependencies.

    npm install codemirror@5.45.0
  2. Open the angular.json file from your application’s root directory and Refer the code mirror script and styles under the scripts and styles node of projects section as in the below code example.

    Css script reference

    {
      "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
      "version": 1,
      "newProjectRoot": "projects",
      "projects": {
        "reportdesignerapp": {
          "root": "",
          "sourceRoot": "src",
          "projectType": "application",
          "prefix": "app",
          "schematics": {},
          "architect": {
            "build": {
              "builder": "@angular-devkit/build-angular:browser",
              "options": {
                "outputPath": "dist/reportdesignerapp",
                "index": "src/index.html",
                "main": "src/main.ts",
                "polyfills": "src/polyfills.ts",
                "tsConfig": "src/tsconfig.app.json",
                "assets": [
                  "src/favicon.ico",
                  "src/assets"
                ],
                "styles": [
                  "src/styles.css",
                "./node_modules/@boldreports/javascript-reporting-controls/Content/material/bold.reports.all.min.css",
                "./node_modules/@boldreports/javascript-reporting-controls/Content/material/bold.reportdesigner.min.css",
                "./node_modules/codemirror/lib/codemirror.css",
                "./node_modules/codemirror/addon/hint/show-hint.css"
                ],
                "scripts": [
                  "./node_modules/codemirror/lib/codemirror.js",
                  "./node_modules/codemirror/addon/hint/show-hint.js",
                  "./node_modules/codemirror/addon/hint/sql-hint.js",
                  "./node_modules/codemirror/mode/vb/vb.js"
                ],
                "es5BrowserSupport": true
              },
          . . .
          . . .
          }

Adding Report Designer component

To add the classic web Report Designer component, refer to the following steps:

  1. Open the src/app/app.module.ts file.

  2. You can replace the following code snippet in the app.module.ts file.

    import { BrowserModule } from '@angular/platform-browser';
    import { NgModule } from '@angular/core';
    import { BoldReportDesignerModule  } from '@boldreports/angular-reporting-components';
    import { AppRoutingModule } from './app-routing.module';
    import { AppComponent } from './app.component';
    
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/bold.report-viewer.min';
    // Report Designer
    import '@boldreports/javascript-reporting-controls/Scripts/bold.report-designer.min';
    
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.bulletgraph.min';
    import '@boldreports/javascript-reporting-controls/Scripts/data-visualization/ej.chart.min';
    
    @NgModule({
      declarations: [
        AppComponent
      ],
    imports: [
        BrowserModule,
        BoldReportDesignerModule
      ],
      providers: [],
      bootstrap: [AppComponent]
    })
    export class AppModule { }
  3. Open the index.html file and refer the following scripts in <head> tag.

    <!-- Data-Visualization -->
    <script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-base.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-data.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-pdf-export.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/common/ej2-svg-base.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-lineargauge.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-circulargauge.min.js"></script>
    <script src="https://cdn.boldreports.com/14.1.12/scripts/data-visualization/ej2-maps.min.js"></script>
  4. Open the src/app/app.component.html file and initialize the classic web Report Designer.

  5. You can replace the following code snippet in the app.component.html file.

    <bold-reportdesigner id="designer" style="position: absolute;height: 550px; width: 1250px;">
    </bold-reportdesigner>
  6. Open the src/app/app.component.ts and replace the following code example.

    import { Component } from '@angular/core';
    
    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {
      title = 'reportdesignerapp';
      public serviceUrl: string;
    
        constructor() {
            // Initialize the Report Designer properties here.
        }
    }
  7. Open the app.component.html and set the Bold Report Server built-in service URL to the serviceUrl property and assign the created token to serviceAuthorizationToken properties as shown in the following code example.

        <bold-reportdesigner
        id="reportDesigner_Control"
        style="position: absolute;height: 550px; width: 1250px;">
        </bold-reportdesigner>

    If you faced the issue 'ej' is not defined, after completing the above configuration in Angular CLI latest version 7, Please refer to the following code sample in your application where you have rendered Bold Reporting components (model file) to resolve the issue.

    `/// <reference types="reports.all" />`
  • The Report Designer requires the serviceAuthorizationToken to perform the API actions with Bold Report Server. Create a token for the user by using the server RESTful API, the following code is used to generate the token.

Report Server Configuration to design the report

  • The Report Designer requires the serviceAuthorizationToken, serviceUrl, and reportServerUrl to perform the API actions with Bold Report Server. You can provide the information from Report Server as in the following explained manner.

  • serviceUrl – Report Server Reporting Service information should be provided for this API.

  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.

  • reportServerUrl- Report Server Reporting Server information should be provided for this API.

Open the app.component.html and set the Bold Report Server built-in service URL to the serviceUrl and reportServerUrl properties and assign the created token to serviceAuthorizationToken property, as shown in the following code example.

   <bold-reportdesigner
    id="reportDesigner_Control"
    [serviceUrl]="serviceUrl"
    [reportServerUrl]="reportServerUrl"
    [serviceAuthorizationToken] = "serverServiceAuthorizationToken" style="position: absolute;height: 550px; width: 1250px;">
    </bold-reportdesigner>

Based on the type of Report Server, you can use one of the procedures listed as follows:

Enterprise Reporting Server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

        import { Component } from '@angular/core';
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serverServiceAuthorizationToken: string;
    
        constructor() {
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        }
    
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Designer.

        import { Component } from '@angular/core';
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serviceUrl: string;
        public serverServiceAuthorizationToken: string;
        public reportServerUrl: string;
    
        constructor() {
        this.serviceUrl = 'https://<your-report-server-domain>/reporting/reportservice/api/Designer';
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        }
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>. You can use the following complete code in your app.component.ts file.

        import { Component } from '@angular/core';
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serviceUrl: string;
        public serverServiceAuthorizationToken: string;
        public reportServerUrl: string;
    
        constructor() {
        this.reportServerUrl = 'https://<your-report-server-domain>/reporting/api/site/<site-name>';
        this.serviceUrl ='https://<your-report-server-domain>/reporting/reportservice/api/Designer';
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        }
        }

Cloud Reporting server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

        import { Component } from '@angular/core';
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serviceUrl: string;
        public serverServiceAuthorizationToken: string;
        public reportServerUrl: string;
    
        constructor() {
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        };
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value is a https://service.boldreports.com/api/Designer.

        import { Component } from '@angular/core';
    
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serviceUrl: string;
        public serverServiceAuthorizationToken: string;
        public reportServerUrl: string;
    
        constructor() {
        this.serviceUrl ='https://service.boldreports.com/api/Designer';
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        };
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/. You can use the following complete code in your app.component.ts file.

        import { Component } from '@angular/core';
    
        @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
        })
    
        export class AppComponent {
        public serviceUrl: string;
        public serverServiceAuthorizationToken: string;
        public reportServerUrl: string;
    
        constructor() {
        this.reportServerUrl = 'https://<your-report-server-domain>/reporting/api/';
        this.serviceUrl ='https://service.boldreports.com/api/Designer';
        this.serverServiceAuthorizationToken = 'bearer <server-token>';
        };
        }
  • Navigate to the root of the application and run the application using the following command.

       ng serve